LibreOffice: TableRow Service Reference

LibreOffice LibreOffice 7.5 SDK API Reference

Loading...
Searching...
No Matches
Exported Interfaces | Public Attributes | List of all members
TableRow Service Referencepublished

represents a special cell range containing all cells of a single specific row in a table or spreadsheet. More...

Inheritance diagram for TableRow:

## Exported Interfaces
interface | com::sun::star::table::XCellRange
| provides access to the cells of this row.
interface | com::sun::star::beans::XPropertySet
| published service PropertySet

## Public Attributes
long | Height
| contains the height of the row (in 1/100 mm).
boolean | OptimalHeight
| is `TRUE`, if the row always keeps its optimal height.
boolean | IsVisible
| is `TRUE`, if the row is visible.
boolean | IsStartOfNewPage
| is `TRUE`, if there is a manual vertical page break attached to the row.

## Additional Inherited Members
Public Member Functions inherited from XCellRange
com::sun::star::table::XCell | getCellByPosition ([in] long nColumn, [in] long nRow) raises ( com::sun::star::lang::IndexOutOfBoundsException )
| Returns a single cell within the range.
com::sun::star::table::XCellRange | getCellRangeByPosition ([in] long nLeft, [in] long nTop, [in] long nRight, [in] long nBottom) raises ( com::sun::star::lang::IndexOutOfBoundsException )
| Returns a sub-range of cells within the range.
com::sun::star::table::XCellRange | getCellRangeByName ([in] string aRange)
| Returns a sub-range of cells within the range.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.
Public Member Functions inherited from XPropertySet
com::sun::star::beans::XPropertySetInfo | getPropertySetInfo ()
void | setPropertyValue ([in] string aPropertyName, [in] any aValue) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the value of the property with the specified name.
any | getPropertyValue ([in] string PropertyName) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
void | addPropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener xListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XPropertyChangeListener to the specified property.
void | removePropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XPropertyChangeListener from the listener list.
void | addVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XVetoableChangeListener to the specified property with the name PropertyName.
void | removeVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XVetoableChangeListener from the listener list.

## Detailed Description

represents a special cell range containing all cells of a single specific row in a table or spreadsheet.

Developers Guide
  Spreadsheet Documents - Spreadsheet Services - Overview

## Exported Interfaces

## ◆ com::sun::star::beans::XPropertySet

interface com::sun::star::beans::XPropertySet

published service PropertySet

provides access to the cell properties of all cells of this row.

## ◆ com::sun::star::table::XCellRange

interface com::sun::star::table::XCellRange

provides access to the cells of this row.

See also
  com::sun::star::table::CellRange

## Member Data Documentation

## ◆ Height

long Height
| property

contains the height of the row (in 1/100 mm).

When hidden, it returns the height which the row would have, if it were visible.

## ◆ IsStartOfNewPage

boolean IsStartOfNewPage
| property

is `TRUE`, if there is a manual vertical page break attached to the row.

## ◆ IsVisible

boolean IsVisible
| property

is `TRUE`, if the row is visible.

## ◆ OptimalHeight

boolean OptimalHeight
| property

is `TRUE`, if the row always keeps its optimal height.

The documentation for this service was generated from the following file:

- com/sun/star/table/TableRow.idl